"""Airzone Cloud API constants."""

API_AUTH_LOGIN = "auth/login"
API_AUTH_REFRESH_TOKEN = "auth/refreshToken"
API_CELSIUS = "celsius"
API_CONFIG = "config"
API_CONNECTION_DATE = "connection_date"
API_DEVICE_ID = "device_id"
API_DEVICE_TYPE = "device_type"
API_DEVICES = "devices"
API_DISCONNECTION_DATE = "disconnection_date"
API_ECO_CONF = "eco_conf"
API_EMAIL = "email"
API_FAH = "fah"
API_HUMIDITY = "humidity"
API_INSTALLATION_ID = "installation_id"
API_INSTALLATIONS = "installations"
API_IS_CONNECTED = "isConnected"
API_LOCAL_TEMP = "local_temp"
API_MODE = "mode"
API_MODE_AVAIL = "mode_available"
API_NAME = "name"
API_OPTS = "opts"
API_PARAMS = "params"
API_PASSWORD = "password"
API_POWER = "power"
API_RANGE_SP_MAX_COOL_AIR = "range_sp_cool_air_max"
API_RANGE_SP_MAX_DRY_AIR = "range_sp_dry_air_max"
API_RANGE_SP_MAX_EMERHEAT_AIR = "range_sp_emerheat_air_max"
API_RANGE_SP_MAX_HOT_AIR = "range_sp_hot_air_max"
API_RANGE_SP_MAX_STOP_AIR = "range_sp_stop_air_max"
API_RANGE_SP_MAX_VENT_AIR = "range_sp_vent_air_max"
API_RANGE_SP_MIN_COOL_AIR = "range_sp_cool_air_min"
API_RANGE_SP_MIN_DRY_AIR = "range_sp_dry_air_min"
API_RANGE_SP_MIN_EMERHEAT_AIR = "range_sp_emerheat_air_min"
API_RANGE_SP_MIN_HOT_AIR = "range_sp_hot_air_min"
API_RANGE_SP_MIN_STOP_AIR = "range_sp_stop_air_min"
API_RANGE_SP_MIN_VENT_AIR = "range_sp_vent_air_min"
API_REFRESH_TOKEN = "refreshToken"
API_SETPOINT = "setpoint"
API_SLEEP = "sleep"
API_SP_AIR_COOL = "setpoint_air_cool"
API_SP_AIR_DRY = "setpoint_air_dry"
API_SP_AIR_HEAT = "setpoint_air_heat"
API_SP_AIR_STOP = "setpoint_air_stop"
API_SP_AIR_VENT = "setpoint_air_vent"
API_SPEED = "speed"
API_STAT_AP_MAC = "stat_ap_mac"
API_STAT_CHANNEL = "stat_channel"
API_STAT_QUALITY = "stat_quality"
API_STAT_SSID = "stat_ssid"
API_STATUS = "status"
API_STEP = "step"
API_SYSTEM_NUMBER = "system_number"
API_TIMER = "timer"
API_TOKEN = "token"
API_UNITS = "units"
API_URL = "https://m.airzonecloud.com"
API_USER = "user"
API_USER_LOGOUT = "user/logout"
API_USER_MODE_CONF = "usermode_conf"
API_V1 = "api/v1"
API_WS = "ws"
API_WS_FW = "ws_fw"
API_WS_IDS = "ws_ids"
API_WS_TYPE = "ws_type"
API_ZONE_NUMBER = "zone_number"

API_AZ_SYSTEM = "az_system"
API_AZ_ZONE = "az_zone"

API_DEFAULT_TEMP_STEP = 0.5

AZD_CONNECTED = "connected"
AZD_CONNECTION_DATE = "connection-date"
AZD_DISCONNECTION_DATE = "disconnection-date"
AZD_FIRMWARE = "firmware"
AZD_HUMIDITY = "humidity"
AZD_ID = "id"
AZD_INSTALLATION = "installation"
AZD_INSTALLATIONS = "installations"
AZD_MASTER = "master"
AZD_MODE = "mode"
AZD_MODES = "modes"
AZD_NAME = "name"
AZD_POWER = "power"
AZD_SYSTEM = "system"
AZD_SYSTEM_ID = "system-id"
AZD_SYSTEMS = "systems"
AZD_TEMP = "temperature"
AZD_TEMP_STEP = "temperature-step"
AZD_TEMP_SET = "temperature-setpoint"
AZD_TEMP_SET_COOL_AIR = "temperature-setpoint-cool-air"
AZD_TEMP_SET_DRY_AIR = "temperature-setpoint-dry-air"
AZD_TEMP_SET_HOT_AIR = "temperature-setpoint-hot-air"
AZD_TEMP_SET_STOP_AIR = "temperature-setpoint-stop-air"
AZD_TEMP_SET_VENT_AIR = "temperature-setpoint-vent-air"
AZD_TEMP_SET_MAX = "temperature-setpoint-max"
AZD_TEMP_SET_MAX_COOL_AIR = "temperature-setpoint-max-cool-air"
AZD_TEMP_SET_MAX_DRY_AIR = "temperature-setpoint-max-dry-air"
AZD_TEMP_SET_MAX_EMERHEAT_AIR = "temperature-setpoint-max-emerheat-air"
AZD_TEMP_SET_MAX_HOT_AIR = "temperature-setpoint-max-hot-air"
AZD_TEMP_SET_MAX_STOP_AIR = "temperature-setpoint-max-stop-air"
AZD_TEMP_SET_MAX_VENT_AIR = "temperature-setpoint-max-vent-air"
AZD_TEMP_SET_MIN_COOL_AIR = "temperature-setpoint-min-cool-air"
AZD_TEMP_SET_MIN_DRY_AIR = "temperature-setpoint-min-dry-air"
AZD_TEMP_SET_MIN_EMERHEAT_AIR = "temperature-setpoint-min-emerheat-air"
AZD_TEMP_SET_MIN_HOT_AIR = "temperature-setpoint-min-hot-air"
AZD_TEMP_SET_MIN_STOP_AIR = "temperature-setpoint-min-stop-air"
AZD_TEMP_SET_MIN_VENT_AIR = "temperature-setpoint-min-vent-air"
AZD_TEMP_SET_MIN = "temperature-setpoint-min"
AZD_TYPE = "type"
AZD_WEBSERVER = "web-server"
AZD_WEBSERVERS = "web-servers"
AZD_WIFI_CHANNEL = "wifi-channel"
AZD_WIFI_MAC = "wifi-mac"
AZD_WIFI_QUALITY = "wifi-quality"
AZD_WIFI_SSID = "wifi-ssid"
AZD_ZONE = "zone"
AZD_ZONES = "zones"

HEADER_AUTHORIZATION = "Authorization"
HEADER_BEARER = "Bearer"

HTTP_CALL_TIMEOUT = 10
